task AnnotSV {
  
  String sample
  File somatic_vcf
  File? germline_vcf
  File annotsv_database
  String docker
  String cluster_config
  String disk_size

  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)
    
    export ANNOTSV=/opt/AnnotSV
    if [ ${somatic_vcf} ]; then
      $ANNOTSV/bin/AnnotSV -SVinputFile ${somatic_vcf} -outputFile ${sample}.somatic.SV.annotated.tsv -genomeBuild GRCh38 -annotationsDir ${annotsv_database} -outputDir .
    fi
    if [ ${germline_vcf} ]; then
      $ANNOTSV/bin/AnnotSV -SVinputFile ${germline_vcf} -outputFile ${sample}.germline.SV.annotated.tsv -genomeBuild GRCh38 -annotationsDir ${annotsv_database} -outputDir .
    fi
  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  
  output {
    File AnnotSV_somatic_SV = "${sample}.somatic.SV.annotated.tsv"
    File? AnnotSV_germline_SV = "${sample}.germline.SV.annotated.tsv"
  }
}